AuthzSubjectField (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.AuthzSubjectField class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class AuthzSubjectField

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.authz.server.session.AuthzSubjectField

All Implemented Interfaces:
  java.io.Serializable, JSON

    public class AuthzSubjectField

extends HypericEnum

See Also:
  Serialized Form

Field Summary
`static AuthzSubjectField` | `ACTIVE`
`static AuthzSubjectField` | `DEPT`
`static AuthzSubjectField` | `EMAIL`
`static AuthzSubjectField` | `FIRSTNAME`
`static AuthzSubjectField` | `HTML`
`static AuthzSubjectField` | `LASTNAME`
`static AuthzSubjectField` | `PHONE`
`static AuthzSubjectField` | `SMS`

Method Summary

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FIRSTNAME

    public static final AuthzSubjectField FIRSTNAME

### LASTNAME

    public static final AuthzSubjectField LASTNAME

### EMAIL

    public static final AuthzSubjectField EMAIL

### SMS

    public static final AuthzSubjectField SMS

### PHONE

    public static final AuthzSubjectField PHONE

### DEPT

    public static final AuthzSubjectField DEPT

### ACTIVE

    public static final AuthzSubjectField ACTIVE

### HTML

    public static final AuthzSubjectField HTML

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.